cancel
Showing results for 
Search instead for 
Did you mean: 
dakkarino
New Contributor

I have Chrome 90 but I get “Your browser version is not supported” error

Hello,

 

I recently installed the GoToMeeting desktop application (supposedly the lastest version, 10.15.0 Build 19228). Unfortunately, I have a problem: when I click the Meet Now… a Welcome window opens in the middle of the screen but I also immediately get Your browser version is not supported error at the bottom-right corner. A browser I am using is Chrome (also this updated to the latest version, 90) and it passes the system check you can find here: https://support.goto.com/webinar/system-check-attendee-recorded even after I put it as default browser I get the same error and GoToMeeting is simply stuck on that welcome window. What is the problem and how can I fix this? In a few days I have an exam and I need this program to be working by then… Thank you very much for your help!

 

Best Regards,

--

dakkarino

 

3 REPLIES 3
AshC
LogMeIn Contributor

Re: I have Chrome 90 but I get “Your browser version is not supported” error

@dakkarino  What you'll want to pay close attention to is the offer to download the GoTo Opener package.  Try the test meeting in this support article from different web browsers to confirm that the download attempt is successful: https://support.goto.com/meeting/help/join-a-test-session-g2m050001 

dakkarino
New Contributor

Re: I have Chrome 90 but I get “Your browser version is not supported” error

Hello @AshC thank you for your reply!

 

I have already downloaded and (or at least so it seeems) succesfully installed/tested GoToMeeting exactly by downloading the installation file you mentioned (GoToMeeting Opener.exe, that apparently will get deleted after the installation). I also installed the program by using the MSI installer. Again, from that page you linked I was able to test the program and I think everything was working fine, except when I clicked Log in from the main window (or the three option available from the tray icon: Meet now, Schedule a meeting and My meetings): at that point I get the beforementioned error. Thanksfully I should be able to attend the exam (in around six hours from now) and probably I can do without an account just yet but surely it will come in handy later on.

 

This is the screenshot of what I get (the error appears in the bottom window):

Desktop screenshot of error I getDesktop screenshot of error I get

 

While these are the options from the tray icon (the first three are the problematic ones, as for me they are not working at all):

 

gimp_gotomeeting_0002.png

 

 

Best Regards,

--

dakkarino

 

AshC
LogMeIn Contributor

Re: I have Chrome 90 but I get “Your browser version is not supported” error

All those options are for GoTo Organizers, and you don't need an account to join broadcasts as an attendee.